---
kind: Service
apiVersion: v1
metadata:
  name: entrypoint
  namespace: {{.Values.namespace}}
spec:
  selector:
    app.kubernetes.io/name: traefik-entrypoint
  ports:
    - protocol: TCP
      port: 80
      name: http
      targetPort: 80
    - protocol: TCP
      port: 443
      name: https
      targetPort: 443
  type: NodePort

---
kind: Service
apiVersion: v1
metadata:
  name: entrypoint-admin
  namespace: {{.Values.namespace}}
spec:
  selector:
    app.kubernetes.io/name: traefik-entrypoint
  ports:
    - protocol: TCP
      port: 8080
      targetPort: 8080
      name: admin
    - protocol: TCP
      port: 8082
      targetPort: 8082
      name: metrics


